import { BasicColumn, FormSchema } from '@/components/Table';

export const applyColumns: BasicColumn[] = [
  {
    title: '资源名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '编目',
    dataIndex: 'cataloging',
    width: 120,
  },
  {
    title: '权属机构',
    dataIndex: 'workGroup',
    width: 120,
  },
  {
    title: '发布者',
    dataIndex: 'publisher',
    width: 120,
  },
  {
    title: '发布时间',
    dataIndex: 'publishTime',
    width: 120,
  },
  {
    title: '我的权限',
    dataIndex: 'permission',
    width: 120,
  },
];
export const applyFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '搜索资源名称',
    },
    colProps: { span: 4 },
  },
  {
    field: 'workGroup',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '权属机构',
      options: [
        { label: '测试功能部', value: '11' },
        { label: '开发部', value: '12' },
        { label: '市场部', value: '13' },
        { label: '财务部', value: '14' },
      ],
    },
    colProps: { span: 4 },
  },
  {
    field: 'permission',
    label: '',
    component: 'Select',
    componentProps: {
      placeholder: '我的权限',
      options: [
        { label: '全部', value: '1' },
        { label: '创建', value: '2' },
        { label: '编辑', value: '3' },
        { label: '删除', value: '4' },
        { label: '查看', value: '5' },
      ],
    },
    colProps: { span: 4 },
  },
];
